%define    name   xlogical
%define    longname  XLogical
%define    version   1.0

%define    majorrel 7
%define    cvs cvs20030522
%define    rel   3mdk

Summary:   %{longname} - A puzzle game
Name:      %{name}
Version:   %{version}
Release:   %{majorrel}.%{cvs}.%{rel}
Source0:   %{name}-%{version}-%{majorrel}.%{cvs}.tar.bz2
Source1:   %{name}-16.png
Source2:   %{name}-32.png
Source3:   %{name}-48.png
Group:     Games/Arcade
License: GPL
URL:        http://changeling.ixionstudios.com/xlogical/
BuildRoot: %_tmppath/%{name}-build
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_mixer-devel

%description
XLogical is a puzzle game based on an Amiga game developed
by Rainbow Arts called Logical. It features ray-traced graphics,
music, and sound effects. The game is addictive, requiring
parallel thinking and quick reflexes.

%prep
%setup -n xl -q

%build
aclocal
automake -a
autoconf

%configure --bindir=%_gamesbindir --datadir=%_gamesdatadir

%make

%install
%makeinstall bindir=%buildroot%_gamesbindir datadir=%buildroot%_gamesdatadir

install -D -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
	command="%{_gamesbindir}/%{name}"\\
	needs="X11"\\
	section="Amusement/Arcade"\\
	icon="%{name}.png"\\
	title="%{longname}"\\
	longtitle="%{summary}"
EOF

%files
%defattr(-,root,games)
%doc README COPYING ChangeLog AUTHORS NEWS TODO LICENSE
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%dir %{_localstatedir}/%{name}
%{_localstatedir}/%{name}/xlogical.scores
%{_liconsdir}/*.png
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_menudir}/%{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-7.cvs20030522.3mdk
- DIRM fix

* Fri Jan 03 2004 Franck Villaume <fvill@freesurf.fr> 1.0-7.cvs20030522.2mdk
- fix 64bits buildrequires
- add some SDL devel buildrequires

* Thu Dec 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-7.cvs20030522.1mdk
- strange version tag, isn't it
- mdk introduction
 
* Thu May 22 2003 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 1.0-8.cvs20030522.1mdk
- my first xlogical package.
